#    _    ___           _  _   _             _
#   | |__| _ \__ _ _ _ | \| | | |__  __ _ __(_)__ ___
#   | '_ \   / _` | ' \| .` | | '_ \/ _` (_-< / _(_-<
#   |_.__/_|_\__,_|_||_|_|\_|_|_.__/\__,_/__/_\__/__/
#                          |___|
#
# // functions tagged in minecraft:load will automatically run every re/load of the data pack //
#
# Datapacks load before loading players into the world, so commands can't affect players on first load.
#

# |===| Setup Scoreboard Objectives |===|
#   /-/ Function Control /-/
scoreboard objectives add bb_tick_ticker dummy "Second Counter"
scoreboard objectives add bb_run_once minecraft.custom:minecraft.leave_game "Run Once Per Load"
#   /-/ Player Stats /-/
scoreboard objectives add bb_ded minecraft.custom:minecraft.deaths "Player Deaths"
scoreboard objectives add bb_trade minecraft.custom:minecraft.traded_with_villager  "Trades"
scoreboard objectives add bb_mob minecraft.custom:minecraft.mob_kills "Mob Kills"
scoreboard objectives add bb_record minecraft.custom:minecraft.play_record "Record Plays"
scoreboard objectives add bb_points xp
scoreboard objectives add bb_food food
scoreboard objectives add bb_health health
scoreboard objectives add bb_armor armor
#   /-/ Time Tracking /-/
scoreboard objectives add bb_time minecraft.custom:minecraft.play_one_minute "Play Time"
scoreboard objectives add bb_time_ticks dummy "Time Calc"
scoreboard objectives add bb_time_hours dummy "Time Calc"
scoreboard objectives add bb_time_minutes dummy "Time Calc"
scoreboard objectives add bb_time_seconds dummy "Time Calc"
scoreboard objectives add bb_math_20 dummy "20"
scoreboard objectives add bb_math_60 dummy "60"
scoreboard objectives add bb_math_1200 dummy "1,200"
scoreboard objectives add bb_math_72000 dummy "72,000"
scoreboard objectives add bb_math_5 dummy "5"
#   /-/ Beastmaster /-/
#function beastmaster:initial/run_every_load
#   /-/ Player Action Tracking /-/
scoreboard objectives add bb_crouch minecraft.custom:minecraft.sneak_time
scoreboard objectives add bb_sprint minecraft.custom:minecraft.sprint_one_cm
scoreboard objectives add bb_dmg_delt minecraft.custom:minecraft.damage_dealt
scoreboard objectives add bb_dmg_taken minecraft.custom:minecraft.damage_taken
scoreboard objectives add bb_swim minecraft.custom:minecraft.swim_one_cm
scoreboard objectives add bb_float minecraft.custom:minecraft.walk_under_water_one_cm
# . . . . . . .

# |===| Setup Teams |===|
team add players
team modify players friendlyFire false
# . . . . . . .

# |===| Global Map Settings |===|
gamerule commandBlockOutput false
gamerule disableRaids true
gamerule doPatrolSpawning false
gamerule forgiveDeadPlayers false
gamerule doDaylightCycle false
gamerule logAdminCommands false
gamerule doFireTick false
gamerule doInsomnia false
gamerule doLimitedCrafting true
gamerule doWeatherCycle false
weather clear 1000000
#gamerule keepInventory true
gamerule mobGriefing false
gamerule randomTickSpeed 3
gamerule reducedDebugInfo false
gamerule sendCommandFeedback false
gamerule spawnRadius 1
gamerule spectatorsGenerateChunks false
gamerule doMobLoot true
gamerule doTileDrops true
gamerule doEntityDrops true
gamerule universalAnger true
# . . . . . . .

# |===| END OF LINE |===|


#
# BEASTMASTER
#
# Called by X on every re/load.
#
# Datapacks load before loading players into world, so commands can't affect players on the first load.
#

# |===| Setup Scoreboard Objectives |===|
#   /-/ Function Control /-/
scoreboard objectives add bts_equipped dummy "Equip Value"
scoreboard objectives add bts_equip_timer dummy "Change Flow"
scoreboard objectives add bts_angry_rabbit minecraft.killed:minecraft.rabbit "Angered Rabbits"
scoreboard objectives add bts_food food "Yum Yum"

scoreboard objectives add bts_spoider minecraft.killed:minecraft.cave_spider "Frosty Blade"
scoreboard objectives add bts_tower_block minecraft.mined:minecraft.redstone_block "Activated Breaks"

#   /-/ Player Stats /-/
#scoreboard objectives add bb_ded minecraft.custom:minecraft.deaths "Player Deaths"
# . . . . . . .

# |===| Setup Teams |===| For Masks
#   /-/ Player Team /-/
team add players
team modify players friendlyFire false
team modify players color green
#   /-/ Villain Team /-/
team add villain
team modify villain color gold
#   /-/ Monster Team /-/
team add monster
team modify monster color red
#   /-/ Animal Team /-/
# May only join a few to prevent Fox/Wolf from attacking Sheep/Duck
team add animal
team modify animal color white
#   /-/ Fish Team /-/
team add fish
team modify fish color aqua
#   /-/ Beast Team /-/
team add beast
team modify beast color dark_purple
# . . . . . . .

# |===| END OF LINE |===|