#    _    ___           _  _   _             _
#   | |__| _ \__ _ _ _ | \| | | |__  __ _ __(_)__ ___
#   | '_ \   / _` | ' \| .` | | '_ \/ _` (_-< / _(_-<
#   |_.__/_|_\__,_|_||_|_|\_|_|_.__/\__,_/__/_\__/__/
#                          |___|
#

# We will run this every 1 second
# |===| Coldlands Freezing (poison) |===|
# Freezing (poison) 19 | Slowness (slowness) 2
# Once the player has enough armor, or warmth, the Freezing effect ends
# This needs to happen fast so the player feels the connection to the armor level
effect clear @a[tag=!hwm,scores={bb_armor=8..},nbt={ActiveEffects:[{Id:19b,Amplifier:1b}]}] minecraft:poison
# Enough Armor with Hunters Warmth skill
effect clear @a[tag=hwm,scores={bb_armor=3..},nbt={ActiveEffects:[{Id:19b,Amplifier:1b}]}] minecraft:poison
# . . . . . . .

# This can run every 1 second
# |===| Deathlands Heatstruck (wither) |===|
# Heatstruck (wither) 20 | Heat Guard (fire_resistance) 12
# Clear Heatstruck effect when not needed
# No to Full Sturdy Armor 0-12 with Mastery
effect clear @a[tag=hcl,nbt={ActiveEffects:[{Id:20b}]},scores={bb_armor=0..12}] minecraft:wither
# Full Golden Armor
effect clear @a[nbt={ActiveEffects:[{Id:20b}]},scores={bb_armor=17..}] minecraft:wither
# Protection from the Heat Guard effect
effect clear @a[nbt={ActiveEffects:[{Id:12b}]}] minecraft:wither
# No longer in the Deathlands
effect clear @a[tag=!deathlands,nbt={ActiveEffects:[{Id:20b}]}] minecraft:wither
# . . . . . . .

# |===| Mob Equipment |===|
# Stray, Ancient Bow (bow)
execute as @e[type=minecraft:stray,tag=!equipped] run execute as @s run function beastmaster:mob_equip/stray
# Husk, Ancient Hatchet (golden_axe)
execute as @e[type=minecraft:husk,tag=!equipped] run execute as @s run function beastmaster:mob_equip/husk
# Zombie Villager, Ancient Pick (golden_pickaxe)
execute as @e[type=minecraft:zombie_villager,tag=!equipped] run execute as @s run function beastmaster:mob_equip/zombie_villager
# Wither Skeleton, Ancient Gloves (golden_shovel) 
execute as @e[type=minecraft:wither_skeleton,tag=!equipped] run execute as @s run function beastmaster:mob_equip/wither_skeleton
# Pillager, Ancient Crossbow (crossbow) 
execute as @e[type=minecraft:pillager,tag=!equipped] run execute as @s run function beastmaster:mob_equip/pillager
# Pigman, Ancient Dagger (golden_sword) 
execute as @e[type=minecraft:zombified_piglin,tag=!equipped] run execute as @s run function beastmaster:mob_equip/pigman
# Piglin, Friendly
execute as @e[type=minecraft:piglin,tag=!equipped] run execute as @s run function beastmaster:mob_equip/piglin
# No Natural Mob Equipment Drops
execute as @e[type=!minecraft:item_frame,type=!minecraft:player,type=!minecraft:item,type=!minecraft:armor_stand,type=!minecraft:painting,tag=!dropped] run execute as @s run function beastmaster:mob_equip/dropped
# . . . . . . .

# |===| Put MOBs on Teams |===|
# Team "Villain"
team join villain @e[type=minecraft:enderman,team=!villain]
team join villain @e[type=minecraft:husk,team=!villain]
team join villain @e[type=minecraft:pillager,team=!villain]
team join villain @e[type=minecraft:stray,team=!villain]
team join villain @e[type=minecraft:zombified_piglin,team=!villain]
team join villain @e[type=minecraft:zombie_villager,team=!villain]
team join villain @e[type=minecraft:witch,team=!villain]
team join villain @e[type=minecraft:wither_skeleton,team=!villain]
team join villain @e[type=minecraft:evoker,team=!villain]
team join villain @e[type=minecraft:vindicator,team=!villain]
team join villain @e[type=minecraft:drowned,team=!villain]
# Team "Monster"
team join monster @e[type=minecraft:zombie_horse,team=!monster]
team join monster @e[type=minecraft:endermite,team=!monster]
team join monster @e[type=minecraft:silverfish,team=!monster]
team join monster @e[type=minecraft:creeper,team=!monster,team=!players]
team join monster @e[type=minecraft:skeleton,team=!monster,team=!players]
team join monster @e[type=minecraft:zombie,team=!monster,team=!players]
team join monster @e[type=minecraft:magma_cube,team=!monster]
team join monster @e[type=minecraft:slime,team=!monster]
team join monster @e[type=minecraft:blaze,team=!monster]
team join monster @e[type=minecraft:ghast,team=!monster]
# Team "Animal"
team join animal @e[type=minecraft:llama,team=!animal]
team join animal @e[type=minecraft:wolf,team=!animal]
team join animal @e[type=minecraft:sheep,team=!animal]
team join animal @e[type=minecraft:fox,team=!animal]
team join animal @e[type=minecraft:chicken,team=!animal]
team join animal @e[type=minecraft:rabbit,team=!animal,team=!beast]
# Team "Fish"
team join fish @e[type=minecraft:pufferfish,team=!fish]
team join fish @e[type=minecraft:tropical_fish,team=!fish]
team join fish @e[type=minecraft:cod,team=!fish]
team join fish @e[type=minecraft:salmon,team=!fish]
team join fish @e[type=minecraft:squid,team=!fish]
team join fish @e[type=minecraft:dolphin,team=!fish]
# Team "Beast"
team join beast @e[type=minecraft:cave_spider,team=!beast]
team join beast @e[type=minecraft:spider,team=!beast]
team join beast @e[type=minecraft:ocelot,team=!beast]
team join beast @e[type=minecraft:cat,team=!beast]
team join beast @e[type=minecraft:rabbit,nbt={RabbitType:99},team=!beast]
# Team "Players"
team join players @e[type=minecraft:piglin,team=!players]
team join players @e[type=minecraft:villager,team=!players]
# . . . . . . .

# |===| Monster Masks |===|
# Switch MOB to 'players' Team
execute as @a[nbt={Inventory:[{id:"minecraft:creeper_head",Slot:103b}]}] run team join players @e[type=minecraft:creeper,team=!players]
execute as @a[nbt={Inventory:[{id:"minecraft:skeleton_skull",Slot:103b}]}] run team join players @e[type=minecraft:skeleton,team=!players]
execute as @a[nbt={Inventory:[{id:"minecraft:zombie_head",Slot:103b}]}] run team join players @e[type=minecraft:zombie,team=!players]
# Switch MOB Back
execute unless entity @a[nbt={Inventory:[{id:"minecraft:creeper_head",Slot:103b}]}] run team join monster @e[type=minecraft:creeper,team=players]
execute unless entity @a[nbt={Inventory:[{id:"minecraft:skeleton_skull",Slot:103b}]}] run team join monster @e[type=minecraft:skeleton,team=players]
execute unless entity @a[nbt={Inventory:[{id:"minecraft:zombie_head",Slot:103b}]}] run team join monster @e[type=minecraft:zombie,team=players]
# . . . . . . .

# |===| Angry Rabbit Check |===|
execute as @a[scores={bts_angry_rabbit=1..}] run function beastmaster:misc_systems/angry_rabbits
# . . . . . . .

# |===| Hunter's Strength skill |===|
# Strength (strength) 5
# Play sound and give Strength effect
playsound minecraft:block.beacon.power_select player @a[tag=!ihs,scores={bts_equip_timer=-2,bts_equipped=0}] ~ ~-1 ~ 0.5 2 0.5
effect give @a[tag=!ihs,scores={bts_equip_timer=..-2,bts_equipped=0},nbt=!{ActiveEffects:[{Id:5b}]}] minecraft:strength 99999 0 false
# Hunter's Strength Lv2, same effect, just faster
playsound minecraft:block.beacon.power_select player @a[tag=ihs,scores={bts_equip_timer=0,bts_equipped=0}] ~ ~-1 ~ 0.5 2 0.5
effect give @a[tag=ihs,scores={bts_equip_timer=..0,bts_equipped=0},nbt=!{ActiveEffects:[{Id:5b}]}] minecraft:strength 99999 0 false
# . . . . . . .

# |===| Baby Slime |===|
# execute as @e[nbt={Size:0},type=minecraft:slime] run data merge entity @s {Size:-1,DeathLootTable:"beastmaster:hunting/special/baby_slime"}
# . . . . . . .

# . . . . . . .
# . . . . . . .
# . . . . . . .
# . . . . . . .
# . . . . . . .

# |===| Execute if Win Condition is Met |===|
execute as @a[tag=command_block,tag=!map_done] run function brann_basics:_winner_winner
# . . . . . . .

# |===| New Player Setup |===|
execute as @a[tag=!setup] run function brann_basics:_player_setup
# . . . . . . .

# |===| Run Once per Map Load |===|
execute as @a[tag=setup,tag=!map_done,scores={bb_run_once=1..}] run function brann_basics:_run_once
# . . . . . . .

# |===| END OF LINE |===|