#    _    ___           _  _   _             _
#   | |__| _ \__ _ _ _ | \| | | |__  __ _ __(_)__ ___
#   | '_ \   / _` | ' \| .` | | '_ \/ _` (_-< / _(_-<
#   |_.__/_|_\__,_|_||_|_|\_|_|_.__/\__,_/__/_\__/__/
#                          |___|
#

# This can run every 2 seconds
# |===| Heatstruck Effect (Before Mastery) |===|
# Heatstruck (wither) 20 | Heat Guard (fire_resistance) 12
# This gives damage depending on Armor and Health levels
# No to Partial Armor 0..6, Hearts 20..
effect give @a[tag=deathlands,tag=!hcl,nbt=!{ActiveEffects:[{Id:12b}]},scores={bb_armor=0..6,bb_health=20..}] minecraft:instant_damage 1 0 true
# Full Crude Armor 7..10, Hearts 18..
effect give @a[tag=deathlands,tag=!hcl,nbt=!{ActiveEffects:[{Id:12b}]},scores={bb_armor=7..10,bb_health=18..}] minecraft:instant_damage 1 0 true
# Full Sturdy Armor 11..12, Hearts 16..
effect give @a[tag=deathlands,tag=!hcl,nbt=!{ActiveEffects:[{Id:12b}]},scores={bb_armor=11..12,bb_health=16..}] minecraft:instant_damage 1 0 true
# Full Quality Armor 13..16, Hearts 14..
effect give @a[tag=deathlands,tag=!hcl,nbt=!{ActiveEffects:[{Id:12b}]},scores={bb_armor=13..16,bb_health=14..}] minecraft:instant_damage 1 0 true
# Full Quality Armor 13..16, Hearts 20.. with Hunter's Coolth skill
effect give @a[tag=deathlands,tag=hcl,nbt=!{ActiveEffects:[{Id:12b}]},scores={bb_armor=13..16,bb_health=20..}] minecraft:instant_damage 1 0 true
# . . . . . . .

# We will run this every 2 seconds
# |===| Hotlands Parched (hunger) |===|
# Refreshed (water_breathing) 13 | Parched (hunger) 17
# If you are Parched and then get Refreshed - we need to clear Parched
# Since this is in favor of the player, it would be good to happen every 1 second, but every 2 wouldn't be horrible
effect clear @a[nbt={ActiveEffects:[{Id:17b},{Id:13b}]}] minecraft:hunger
# If you are in the Hotlands, without the Refreshed effect, you will get the Parched effect
# This check can be every 4 seconds, or every 2
effect give @a[tag=hotlands,nbt=!{ActiveEffects:[{Id:13b}]}] minecraft:hunger 9999 2 false
# Leaving the Hotlands will clear the Parched effect
# On first pass, it will up the Amplifier to have a fading effect icon
# On second pass it will completely clear the Parched effect
# This check can be every 4 seconds - but it will take 5 to 8 seconds to fully clear the effect, or every 2 (taking 3 to 4)
effect clear @a[tag=!hotlands,nbt={ActiveEffects:[{Id:17b,Amplifier:3b}]}] minecraft:hunger
effect give @a[tag=!hotlands,nbt={ActiveEffects:[{Id:17b,Amplifier:2b}]}] minecraft:hunger 5 3 false
# If we aren't worried about style points - we can just clear it
#effect clear @a[tag=!hotlands,nbt={ActiveEffects:[{Id:17b,Amplifier:1b}]}] minecraft:hunger
# . . . . . . .

# We will run this every 2 seconds
# |===| Coldlands Freezing (poison) |===|
# Freezing (poison) 19 | Slowness (slowness) 2
# Armor point level determines resistance to the Freezing effect
# The effect refreshes every 2 seconds, this lets the effect slowly tick down if you leave the Coldlands
# It will also make the icon flash, this seems appropriate for this effect
effect give @a[tag=coldlands,tag=!hwm,scores={bb_armor=0..7}] minecraft:poison 12 0 false
# effect give @a[tag=coldlands,tag=!hwm,scores={bb_armor=0..7}] minecraft:slowness 12 1 true
# If you have unlocked the skill Hunter's Warmth, the player is more resistant to the effect
effect give @a[tag=coldlands,tag=hwm,scores={bb_armor=0..2}] minecraft:poison 12 0 false
# Slowness only kicks in with no Armor with Hunter's Warmth
# Change: No cold related slowness with hwm
#effect give @a[tag=coldlands,tag=hwm,scores={bb_armor=0}] minecraft:slowness 12 0 true
# . . . . . . .

# |===| Special Advancements |===|
advancement grant @a[scores={bts_spoider=3..},tag=!spoider] only beastmaster:c/n07_coldland_cold
advancement grant @a[scores={bts_tower_block=2..},tag=!tower] only beastmaster:c/r08_guarded_outpost
# . . . . . . .

# |===| Relaxing @ Home |===|
effect give @a[scores={bts_food=..17},x=233,y=66,z=-348,dx=4,dy=3,dz=3] minecraft:saturation 3 0 true
# . . . . . . .

# . . . . . . .
# . . . . . . .
# . . . . . . .
# . . . . . . .
# . . . . . . .

# |===| END OF LINE |===|