#    _    ___           _  _   _             _
#   | |__| _ \__ _ _ _ | \| | | |__  __ _ __(_)__ ___
#   | '_ \   / _` | ' \| .` | | '_ \/ _` (_-< / _(_-<
#   |_.__/_|_\__,_|_||_|_|\_|_|_.__/\__,_/__/_\__/__/
#                          |___|
#

# This needs to run every tick
# |===| Deathlands Heatstruck (wither) |===|
# Heatstruck (wither) 20 | Heat Guard (fire_resistance) 12
# Giving the wither effect every tick prevents any damage from happening
# So this effect is being used as an indicator
effect give @a[tag=deathlands,tag=!hcl,nbt=!{ActiveEffects:[{Id:12b}]},scores={bb_armor=0..16}] minecraft:wither 9999 0 false
# Higher (lower?) tolerance for the Heatstruck effect with the Hunter's Coolth skill
effect give @a[tag=deathlands,tag=hcl,nbt=!{ActiveEffects:[{Id:12b}]},scores={bb_armor=13..16}] minecraft:wither 9999 0 false
# . . . . . . .

# |===| Hunter's Strength skill |===|
# Remove Strength on equipping any tool
effect clear @a[scores={bts_equipped=1..},nbt={ActiveEffects:[{Id:5b}]}] minecraft:strength
# . . . . . . .

# |===| All Orbs Worth X XP |===|
# Hunter's Stamina
execute as @e[tag=!iht,type=minecraft:experience_orb] run data modify entity @s Value set value 8
# Improved Hunter's Stamina Lv2
execute as @e[tag=iht,type=minecraft:experience_orb] run data modify entity @s Value set value 12
# . . . . . . .

# This could possibly be moved to once every second - if needed
# |===|  Stamina System |===|
# Reset Stamina if player is found with invalid values
# if points are less than 51 set to 492
execute as @a[scores={bb_points=..50}] run function beastmaster:misc_systems/reset_stamina
# Small adjustments as needed 
# Raise to Min of 88
experience add @a[scores={bb_points=77..87}] 1
# Lower to Max of 685
experience add @a[scores={bb_points=686..696}] -1
# Large adjustments as needed 
# Raise to Min of 88
experience add @a[scores={bb_points=51..54}] 33
experience add @a[scores={bb_points=55..65}] 22
experience add @a[scores={bb_points=66..76}] 11
# Lower to Max of 685
experience add @a[scores={bb_points=697..707}] -11
experience add @a[scores={bb_points=708..718}] -22
experience add @a[scores={bb_points=719..729}] -33
# . . . . . . .

# |===| Hunter's Sight skill |===|
# Tag MOBs that need the effect applied to them
# Tag MOBs within 20 blocks for Hunter's Sight L1
execute at @a[tag=!ihg,scores={bb_crouch=1..}] as @e[distance=..20,type=!minecraft:item_frame,type=!minecraft:armor_stand,type=!minecraft:painting,type=!minecraft:item,type=!minecraft:player,tag=!glow] run tag @s add glow
# Tag MOBs within 40 blocks for Hunter's Sight L2
execute at @a[tag=ihg,scores={bb_crouch=1..}] as @e[distance=..40,type=!minecraft:item_frame,type=!minecraft:armor_stand,type=!minecraft:painting,type=!minecraft:item,type=!minecraft:player,tag=!glow] run tag @s add glow
# Add effect to tagged MOBs
execute as @e[tag=glow,tag=!glowing,type=!minecraft:player] run function beastmaster:misc_systems/glow
# Run for tagged MOBs when player is not crouching
execute if entity @a[scores={bb_crouch=..0}] as @e[tag=glow] run function beastmaster:misc_systems/no_glow
# . . . . . . .

# . . . . . . .
# . . . . . . .
# . . . . . . .
# . . . . . . .
# . . . . . . .

# |===| Holding Area Particles (Y=3) |===|
# Home->Cave Holding Area: 242.5 1.0 -253.5
#execute at @a[x=242.5,y=1.0,z=-253.5,distance=..2] run particle minecraft:squid_ink 242.5 3.0 -253.5 .2 .5 .2 0.0 15 normal
# Cave->Home Holding Area: 253.5 1.0 -274.5
#execute at @a[x=253.5,y=1.0,z=-274.5,distance=..2] run particle minecraft:squid_ink 253.5 3.0 -274.5 .2 .5 .2 0.0 15 normal
# Home->Swamp Holding Area: 141.5 1.0 -333.5
#execute at @a[x=141.5,y=1.0,z=-333.5,distance=..2] run particle minecraft:squid_ink 141.5 3.0 -333.5 .2 .5 .2 0.0 15 normal
# Swamp->Home Holding Area: 162.5 1.0 -333.5
#execute at @a[x=162.5,y=1.0,z=-333.5,distance=..2] run particle minecraft:squid_ink 2162.5 3.0 -333.5 .2 .5 .2 0.0 15 normal
# Home->Cold Holding Area: 253.5 1.0 -402.5
#execute at @a[x=253.5,y=1.0,z=-402.5,distance=..2] run particle minecraft:squid_ink 253.5 3.0 -402.5 .2 .5 .2 0.0 15 normal
# Cold->Home Holding Area: 253.5 1.0 -381.5
#execute at @a[x=253.5,y=1.0,z=-381.5,distance=..2] run particle minecraft:squid_ink 253.5 3.0 -381.5 .2 .5 .2 0.0 15 normal
# Home->Hot Holding Area: 354.5 1.0 -322.5
#execute at @a[x=354.5,y=1.0,z=-322.5,distance=..2] run particle minecraft:squid_ink 354.5 3.0 -322.5 .2 .5 .2 0.0 15 normal
# Hot->Home Holding Area: 333.5 1.0 -322.5
#execute at @a[x=333.5,y=1.0,z=-322.5,distance=..2] run particle minecraft:squid_ink 333.5 3.0 -322.5 .2 .5 .2 0.0 15 normal
# . . . . . . .

# |===| END OF LINE |===|